#
# Aeon Land-Based Tactical Missile
#
local oldUnit = AIFMissileTactical01 
AIFMissileTactical01 = Class(oldUnit) {
    
    MovementThread = function(self)
        local army = self:GetArmy()
        self:TrackTarget(false)
        self:SetCollision(true)        
        WaitSeconds(5)
        self:SetTurnRate(25)
        self:TrackTarget(true)
        self:TrackTarget(true)
        while not self:BeenDestroyed() do
            self:SetTurnRateByDist()
            WaitSeconds(0.5)
        end
    end,    

    SetTurnRateByDist = function(self)
        local dist = oldUnit.GetDistanceToTarget(self)
        if dist < 50 then
            self:SetTurnRate(100)
            self.MovementTurnLevel = 4
        end
    end,    
}
TypeClass = AIFMissileTactical01